%define		module	dist_meta
Summary:	Parse and create Python distribution metadata
Name:		python3-%{module}
Version:	0.8.1
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	https://pypi.debian.net/dist-meta/dist-meta-%{version}.tar.gz
# Source0-md5:	104b05bff6f6df10bcb58b42180ef745
URL:		https://pypi.org/project/dist-meta/
BuildRequires:	python3-modules >= 1:3.2
#BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parse and create Python distribution metadata.

%prep
%setup -q -n dist-meta-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%changelog
* Sat Apr 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-dist_meta.git;a=log;h=master

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 9be99a3
- Initial

